Issue 24237

Summary: Envelope Printing - OO Writer
Product: Writer Reporter: oo_kirk <kirk>
Component: codeAssignee: h.ilter
Status: CLOSED DUPLICATE QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P3 CC: issues, jimrorie
Version: OOo 1.0.2Keywords: needhelp, needmoreinfo
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
#10 envelope example
none
scanned #10 envelope example none

Description oo_kirk 2004-01-09 12:48:35 UTC
OO Writer will not print envelope on my system.  It will print a novel, but not
a single envelope.

What happens is printer will activate, feed the paper, then stop.  lpq command
shows printer printing STDIN but nothing comes out.  I have to stop the printer
and restart it in order to print anything else to it.

Configuration specifics...

Mandrake 9.1
OO 1.0.2 (installed from the distrobution CD)
HP Deskjet 895Cxi  (works fine with all apps including OO)


Insert -> Envelope
Enter Return Address and Deliver Address
Check Sender box.
Format set to type 10 (Legal size envelope)
Printer, select last feed type to the right
         select 'print from top'
         Current Printer Setup:
           It never remembers what I enter so I always
           have to change it from generic printer to my
           installed printer (HP Deskjet 895Cxi)
Comment 1 h.ilter 2004-01-09 15:18:30 UTC
Can't reproduce.
It seems you use the old version 1.0.2
Please verify with the latest build whether the problem still exist.
Comment 2 oo_kirk 2004-01-14 07:32:16 UTC
I finally downloaded and installed version 1.1 and it still does the
same thing.  It loads the paper up to the print head then stops.  Looking
at the printer queue it says it is printing but nothing happens. 
Eventually I have to just lprm to clear the print job, then, so I can use
the printer for other things, turn the printer off then back on again.
 
StarOffice 5.2 prints the envelopes just fine.  What the heck is going
on?
 
Mike
Comment 3 h.ilter 2004-05-27 13:39:22 UTC
HI->US: I have no idea what could it be and I can't see any votes or confirms
about that. I think OOo is not guilty in this case.
Comment 4 rblackeagle 2004-05-27 18:37:03 UTC
I agree.  A suggestion might be to close down OOo and run Printer 
Administration.  Select the printer and under "Execute" try one of these three: 
"kprinter," "kprinter --stdin" or "qtcups" (assuming you're running with CUPS.  
I have found in some versions of OOo before 1.1.1 that printing was erratic 
depending on the execution command given so I had to try all three to find out 
which one would work consistently.

After closing out spadmin (printer administration), restart OOo and try your new 
setting. If it doesn't work, close it, run printer administration again and try 
a new setting.  One of the three should work.
Comment 5 ulf.stroehler 2004-06-08 16:53:44 UTC
Any insight on rblackeagle's suggestion.
Comment 6 channmw 2004-10-17 06:18:15 UTC
Created attachment 18460 [details]
#10 envelope example
Comment 7 channmw 2004-10-17 06:19:45 UTC
Created attachment 18461 [details]
scanned #10 envelope example
Comment 8 channmw 2004-10-17 06:21:30 UTC
I am running RH EL3 linux, OO 1.1.0, cups, and I cannont print #10 Envelopes. 
The return address does not appear.  The addressee does print, however its
position on the paper does not match the offset in inches that is given in the
setup window.  The printer is an HP990cse with the hpijs driver.  The envelope
is fed into the direct feed envelope slot.  The actual printed addressee
location is 4 5/8" left and 2 3/4" down from the upper right hand corner of the
envelope.  Attached is a scanned 8.5" X 11 page printed as the #10 envelope. 
The setup window says it should be 4.75" left, and 2.06" down from the upper
right hand corner of the envelope.  See the attached files.
Comment 9 ulf.stroehler 2006-04-04 17:17:52 UTC
have to reassign issue.
Comment 10 ace_dent 2008-05-14 23:22:31 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may already be addressed. Either use the latest stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future. You may also wish to search for (and note) any duplicates of this Issue
that may have progressed further :
http://www.openoffice.org/issues/query.cgi

Regards,
Andrew

Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 11 jfrorie 2008-11-07 21:05:48 UTC
Tested under 3.0.  Envelope printing results in blank envelopes.
Comment 12 h.ilter 2011-01-13 11:03:00 UTC
This issue is double to 29924 which has the target 3.x

*** This issue has been marked as a duplicate of 29924 ***
Comment 13 h.ilter 2011-01-13 11:03:30 UTC
Closing duplicate